Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 4836

Summary: ypserv/yppasswd dies
Product: [Retired] Red Hat Linux Reporter: carl.williams
Component: ypservAssignee: Cristian Gafton <gafton>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 6.0CC: michael.redinger
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-09-14 23:20:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description carl.williams 1999-09-01 18:24:06 UTC
In the "so-called resolved bug report 3126" several people
have mentioned that rpc.yppasswd dies when a NIS user tries
to change his passwd.  This problem is even more severe if
the user is running shadow passwords.  Although the passwd
file gets updated and thus restarting the yppasswd daemon
allows the next user to crash the daemon -- if you are
running shadow passwords the shadow file DOES NOT get
updated.  Thus the previous passwd is only changed on the
NIS server and his old passwd remains on all NIS clients.  I
can only get around this problem by recreating the whole
yellow pages map.  Is there a solution that is less painful?
In reality this is close to being a security risk since the
old password remains viable on all cluster members -- and
thus compromised passwords remain unchanged.

Comment 1 Jeff Johnson 1999-09-08 16:36:59 UTC
Does this problem still exists in the latest yp packages from
Raw Hide. AFAICT, the latest packages are
	yp-tools-2.3-2.i386.rpm
	ypbind-3.3-23.i386.rpm
	ypserv-1.3.7-3.i386.rpm


------- Additional Comments From   09/14/99 14:37 -------
yes, ypserv-1.3.7-3 from rawhide works. Should probably be in updates
...